de.esprit.appsuite.transl

## Enum TrEasGui

- java.lang.Object
- - java.lang.Enum<TrEasGui>
  - - de.esprit.appsuite.transl.TrEasGui

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEasGui>

      public enum TrEasGui
      extends java.lang.Enum<TrEasGui>
      implements NlsKey

  Translations for GUI strings
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTED_ON_CANCEL`
    `ABORTED_ON_ERROR`
    `ACTIONS`
    `ADMIN`
    `ALL`
    `ALL_TASKS_DONE`
    `ANSI_SCHEMA`
    `APP_CACHE`
    `APP_PREFS_TITLE`
    `APP_STORE_LAUNCH`
    `APP_STORE_WORKFLOW`
    `ARCHIVE_EXTRACT_TAR`
    `ARCHIVE_EXTRACT_ZIP`
    `ARCHIVE_LIST_TAR`
    `ARCHIVE_LIST_ZIP`
    `ARGUMENTS`
    `ASSIGNED`
    `ASYNC_TASKS`
    `AUTHOR`
    `AUTO_CLOSE`
    `BACK_TO`
    `BLUE`
    `BUILD_NO`
    `CALENDAR_DAY`
    `CALENDAR_DAYS`
    `CALENDAR_HOUR`
    `CALENDAR_HOURS`
    `CALENDAR_MINUTE`
    `CALENDAR_MINUTES`
    `CALENDAR_MONTH`
    `CALENDAR_MONTHS`
    `CALENDAR_SECOND`
    `CALENDAR_SECONDS`
    `CALENDAR_YEAR`
    `CALENDAR_YEARS`
    `cancelled`
    `CHECK_INPUT`
    `CHECK_OPTIONS`
    `CHECK_WORKING_DIR`
    `CHOOSE_ARCHIVE_TYPE`
    `CHOOSE_DIRECTORY`
    `CHOOSE_FILE`
    `CHOOSE_INPUT_FILE`
    `CHOOSE_ONE_OPTION`
    `CHOOSE_OUTPUT_FILE`
    `CHOOSE_RECORD_TYPE`
    `CLEANUP_WORKING_DIR`
    `CLEAR`
    `CLIENT`
    `CLIENT_MEMORY_USAGE`
    `COLOR`
    `CONFIGURATION`
    `CONFIRMATION_MESSAGE`
    `CONFIRMATION_QUESTION`
    `CONSOLE`
    `CONTENT_WAS_MODIFIED`
    `CONTENT_WAS_NOT_MODIFIED`
    `CONTROLLER`
    `CREATING_0`
    `CRITICAL`
    `DATABASE`
    `DAYS`
    `DB_URL`
    `DEFAULT`
    `DEFINE_LAUNCH_PARAMETERS`
    `DESCRIPTION`
    `DETAILS`
    `DIALOGS`
    `DIRECTORY`
    `DOCU`
    `DONE`
    `DUMP_OF`
    `EDIT`
    `EMPTY`
    `ENSURE_INSTALLED_0_V_1`
    `ENTER_FILE_NAME`
    `ENUMERATION`
    `ERRORS`
    `EXECUTE_0`
    `EXTRACT_ARCHIVE`
    `EXTRACTING_0`
    `FIELD_INPUT_PANEL`
    `FILE`
    `FILE_LOGGING`
    `FILTER`
    `FIND_AND_REPLACE`
    `FORMAT`
    `FREE_MEMORY`
    `GREEN`
    `GROUP`
    `HEADER_PANEL`
    `HIGH`
    `HOME_URL`
    `ILLEGAL_ITEM`
    `IMAGE`
    `INFO`
    `INTERRUPTED`
    `JAVA_VERSION`
    `JAVA_VM_INITIAL_HEAP_SIZE`
    `JAVA_VM_MAX_HEAP_SIZE`
    `JDBC_DRIVER`
    `JDBC_VERSION`
    `KEY`
    `LAUNCH_APPLICATION_0_V_1`
    `LIST`
    `LIST_ARCHIVE`
    `LOADED_RECORDS`
    `LOADING_TABLE`
    `LOG_LEVEL`
    `LOG_TIMESTAMP`
    `LOGGER_NAME`
    `LOGGING_TO`
    `LOGIN`
    `LOOK_AND_FEEL`
    `LOW`
    `MAKE_DECISION`
    `MARK`
    `MATCH_CASE`
    `MEDIUM`
    `MEMORY_USAGE`
    `MESSAGE_DIALOGS`
    `MISSING_SEARCH_TEXT`
    `MR`
    `MRS`
    `NEW`
    `NO_CONTENT`
    `NO_OPTIONS_AVAILABLE`
    `NOBODY`
    `NONE`
    `NOT_AVAILABLE`
    `NULL_ITEM`
    `NUMBER_OF_0`
    `NUMBER_OF_ROWS`
    `OF`
    `OPTIONS`
    `OS_PROCESSES`
    `OVERRIDE_EXISTING_FILES`
    `OVERRIDE_IF_EXISTS`
    `PARAMETER`
    `PLEASE_CONFIRM`
    `QUERY`
    `RDBMS_SYSTEM`
    `RDBMS_VERSION`
    `READ_0_1`
    `READY_TO_RUN`
    `RECORD`
    `RECORDS`
    `RECORDS_APPENDED`
    `RECORDS_LOADED_0`
    `RECORDS_SAVED`
    `RECORDS_UPDATED`
    `RED`
    `RELEASED`
    `REPORTING_CLASS`
    `RESULT`
    `RESUME`
    `RESUMED`
    `RUNNING_ASYNC_TASKS`
    `RUNNING_WORKFLOWS`
    `SAMPLE_WORKFLOW`
    `SCANNING_FOR_JAVA_VERSIONS`
    `SEQUENCE_NUM`
    `SHOW_ASYNC_ACTIVITY`
    `STACK_TRACE`
    `START`
    `START_APP`
    `START_AT`
    `STARTED`
    `STILL_0_TASKS_RUNNING`
    `STILL_ASYNC_ACTIVITY`
    `SUSPEND`
    `SUSPENDED`
    `SYSTEM`
    `SYSTEM_IS_BUSY`
    `TABLE`
    `TABLE_COUNT`
    `TABLE_EDITOR`
    `TABLE_NAME`
    `TARGET_DIR`
    `TARGET_PKG`
    `TASK_LIST`
    `TASK_MANAGER_HELP`
    `TASK_RESULT_0`
    `TASK_SUCCEEDED`
    `TASKS`
    `TERMINATED_ON_INTERRUPT`
    `TEST`
    `TEST_DB_TABLE`
    `TEST_DESCR`
    `TEST_UMLAUTE`
    `TEXT`
    `TEXT_EDITOR`
    `THREAD_INFO`
    `TIME_INPUT`
    `TOTAL_MEMORY`
    `TYPE_DATE`
    `TYPE_DOUBLE`
    `TYPE_DURATION`
    `TYPE_FLOAT`
    `TYPE_INTEGER`
    `TYPE_LONG`
    `TYPE_TIME`
    `TYPE_TIMESPAN`
    `TYPE_TIMESTAMP`
    `UNASSIGNED`
    `UNDEFINED`
    `UNKNOWN`
    `UNKNOWN_DATA_TYPE`
    `UNLIMITED`
    `UNNAMED`
    `UNSPECIFIED`
    `UNTITLED`
    `UPDATE`
    `USED_MEMORY`
    `USER`
    `VALUE`
    `VERSION`
    `VIEW`
    `VIEW_0_RECORDS`
    `VIEW_FILE`
    `WARNING`
    `WARNINGS`
    `WINDOW_LOGGING`
    `WORKFLOW_MANAGER_HELP`
    `WORKFLOWS`
    `WRITE_0_1`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEasGui` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasGui[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final TrEasGui UNDEFINED

    - #### UNNAMED

          public static final TrEasGui UNNAMED

    - #### VALUE

          public static final TrEasGui VALUE

    - #### RESULT

          public static final TrEasGui RESULT

    - #### ARGUMENTS

          public static final TrEasGui ARGUMENTS

    - #### CHECK_INPUT

          public static final TrEasGui CHECK_INPUT

    - #### TABLE_COUNT

          public static final TrEasGui TABLE_COUNT

    - #### TABLE_NAME

          public static final TrEasGui TABLE_NAME

    - #### NOT_AVAILABLE

          public static final TrEasGui NOT_AVAILABLE

    - #### RECORDS_SAVED

          public static final TrEasGui RECORDS_SAVED

    - #### RECORDS_APPENDED

          public static final TrEasGui RECORDS_APPENDED

    - #### RECORDS_UPDATED

          public static final TrEasGui RECORDS_UPDATED

    - #### TEXT

          public static final TrEasGui TEXT

    - #### CLEAR

          public static final TrEasGui CLEAR

    - #### DETAILS

          public static final TrEasGui DETAILS

    - #### FORMAT

          public static final TrEasGui FORMAT

    - #### OPTIONS

          public static final TrEasGui OPTIONS

    - #### cancelled

          public static final TrEasGui cancelled

    - #### KEY

          public static final TrEasGui KEY

    - #### DESCRIPTION

          public static final TrEasGui DESCRIPTION

    - #### AUTO_CLOSE

          public static final TrEasGui AUTO_CLOSE

    - #### TYPE_DATE

          public static final TrEasGui TYPE_DATE

    - #### TYPE_TIME

          public static final TrEasGui TYPE_TIME

    - #### TYPE_TIMESTAMP

          public static final TrEasGui TYPE_TIMESTAMP

    - #### TYPE_DURATION

          public static final TrEasGui TYPE_DURATION

    - #### TYPE_TIMESPAN

          public static final TrEasGui TYPE_TIMESPAN

    - #### TYPE_DOUBLE

          public static final TrEasGui TYPE_DOUBLE

    - #### TYPE_FLOAT

          public static final TrEasGui TYPE_FLOAT

    - #### TYPE_INTEGER

          public static final TrEasGui TYPE_INTEGER

    - #### TYPE_LONG

          public static final TrEasGui TYPE_LONG

    - #### LOG_TIMESTAMP

          public static final TrEasGui LOG_TIMESTAMP

    - #### REPORTING_CLASS

          public static final TrEasGui REPORTING_CLASS

    - #### THREAD_INFO

          public static final TrEasGui THREAD_INFO

    - #### STACK_TRACE

          public static final TrEasGui STACK_TRACE

    - #### LOGGER_NAME

          public static final TrEasGui LOGGER_NAME

    - #### SEQUENCE_NUM

          public static final TrEasGui SEQUENCE_NUM

    - #### CALENDAR_SECONDS

          public static final TrEasGui CALENDAR_SECONDS

    - #### CALENDAR_MINUTES

          public static final TrEasGui CALENDAR_MINUTES

    - #### CALENDAR_HOURS

          public static final TrEasGui CALENDAR_HOURS

    - #### CALENDAR_DAYS

          public static final TrEasGui CALENDAR_DAYS

    - #### CALENDAR_MONTHS

          public static final TrEasGui CALENDAR_MONTHS

    - #### CALENDAR_YEARS

          public static final TrEasGui CALENDAR_YEARS

    - #### CALENDAR_SECOND

          public static final TrEasGui CALENDAR_SECOND

    - #### CALENDAR_MINUTE

          public static final TrEasGui CALENDAR_MINUTE

    - #### CALENDAR_HOUR

          public static final TrEasGui CALENDAR_HOUR

    - #### CALENDAR_DAY

          public static final TrEasGui CALENDAR_DAY

    - #### CALENDAR_MONTH

          public static final TrEasGui CALENDAR_MONTH

    - #### CALENDAR_YEAR

          public static final TrEasGui CALENDAR_YEAR

    - #### NULL_ITEM

          public static final TrEasGui NULL_ITEM

    - #### NONE

          public static final TrEasGui NONE

    - #### NOBODY

          public static final TrEasGui NOBODY

    - #### ALL

          public static final TrEasGui ALL

    - #### NEW

          public static final TrEasGui NEW

    - #### PLEASE_CONFIRM

          public static final TrEasGui PLEASE_CONFIRM

    - #### UNASSIGNED

          public static final TrEasGui UNASSIGNED

    - #### ASSIGNED

          public static final TrEasGui ASSIGNED

    - #### NO_CONTENT

          public static final TrEasGui NO_CONTENT

    - #### DUMP_OF

          public static final TrEasGui DUMP_OF

    - #### CHOOSE_RECORD_TYPE

          public static final TrEasGui CHOOSE_RECORD_TYPE

    - #### TIME_INPUT

          public static final TrEasGui TIME_INPUT

    - #### UNSPECIFIED

          public static final TrEasGui UNSPECIFIED

    - #### TARGET_DIR

          public static final TrEasGui TARGET_DIR

    - #### TARGET_PKG

          public static final TrEasGui TARGET_PKG

    - #### DIRECTORY

          public static final TrEasGui DIRECTORY

    - #### FILE

          public static final TrEasGui FILE

    - #### DOCU

          public static final TrEasGui DOCU

    - #### VIEW_FILE

          public static final TrEasGui VIEW_FILE

    - #### ADMIN

          public static final TrEasGui ADMIN

    - #### RECORDS_LOADED_0

          public static final TrEasGui RECORDS_LOADED_0

    - #### VIEW_0_RECORDS

          public static final TrEasGui VIEW_0_RECORDS

    - #### FIND_AND_REPLACE

          public static final TrEasGui FIND_AND_REPLACE

    - #### MISSING_SEARCH_TEXT

          public static final TrEasGui MISSING_SEARCH_TEXT

    - #### MATCH_CASE

          public static final TrEasGui MATCH_CASE

    - #### TEXT_EDITOR

          public static final TrEasGui TEXT_EDITOR

    - #### LOGIN

          public static final TrEasGui LOGIN

    - #### IMAGE

          public static final TrEasGui IMAGE

    - #### LIST

          public static final TrEasGui LIST

    - #### PARAMETER

          public static final TrEasGui PARAMETER

    - #### START

          public static final TrEasGui START

    - #### STARTED

          public static final TrEasGui STARTED

    - #### RECORD

          public static final TrEasGui RECORD

    - #### RECORDS

          public static final TrEasGui RECORDS

    - #### INFO

          public static final TrEasGui INFO

    - #### WARNING

          public static final TrEasGui WARNING

    - #### UPDATE

          public static final TrEasGui UPDATE

    - #### DEFAULT

          public static final TrEasGui DEFAULT

    - #### SYSTEM

          public static final TrEasGui SYSTEM

    - #### USER

          public static final TrEasGui USER

    - #### GROUP

          public static final TrEasGui GROUP

    - #### TABLE

          public static final TrEasGui TABLE

    - #### VIEW

          public static final TrEasGui VIEW

    - #### CONFIGURATION

          public static final TrEasGui CONFIGURATION

    - #### UNKNOWN

          public static final TrEasGui UNKNOWN

    - #### UNLIMITED

          public static final TrEasGui UNLIMITED

    - #### DAYS

          public static final TrEasGui DAYS

    - #### DATABASE

          public static final TrEasGui DATABASE

    - #### ANSI_SCHEMA

          public static final TrEasGui ANSI_SCHEMA

    - #### DB_URL

          public static final TrEasGui DB_URL

    - #### RDBMS_SYSTEM

          public static final TrEasGui RDBMS_SYSTEM

    - #### RDBMS_VERSION

          public static final TrEasGui RDBMS_VERSION

    - #### JDBC_DRIVER

          public static final TrEasGui JDBC_DRIVER

    - #### JDBC_VERSION

          public static final TrEasGui JDBC_VERSION

    - #### JAVA_VERSION

          public static final TrEasGui JAVA_VERSION

    - #### LOADED_RECORDS

          public static final TrEasGui LOADED_RECORDS

    - #### USED_MEMORY

          public static final TrEasGui USED_MEMORY

    - #### FREE_MEMORY

          public static final TrEasGui FREE_MEMORY

    - #### MEMORY_USAGE

          public static final TrEasGui MEMORY_USAGE

    - #### TOTAL_MEMORY

          public static final TrEasGui TOTAL_MEMORY

    - #### VERSION

          public static final TrEasGui VERSION

    - #### RELEASED

          public static final TrEasGui RELEASED

    - #### BUILD_NO

          public static final TrEasGui BUILD_NO

    - #### HOME_URL

          public static final TrEasGui HOME_URL

    - #### AUTHOR

          public static final TrEasGui AUTHOR

    - #### DONE

          public static final TrEasGui DONE

    - #### ERRORS

          public static final TrEasGui ERRORS

    - #### WARNINGS

          public static final TrEasGui WARNINGS

    - #### LOADING_TABLE

          public static final TrEasGui LOADING_TABLE

    - #### EMPTY

          public static final TrEasGui EMPTY

    - #### INTERRUPTED

          public static final TrEasGui INTERRUPTED

    - #### SUSPEND

          public static final TrEasGui SUSPEND

    - #### SUSPENDED

          public static final TrEasGui SUSPENDED

    - #### RESUME

          public static final TrEasGui RESUME

    - #### RESUMED

          public static final TrEasGui RESUMED

    - #### UNTITLED

          public static final TrEasGui UNTITLED

    - #### COLOR

          public static final TrEasGui COLOR

    - #### RED

          public static final TrEasGui RED

    - #### GREEN

          public static final TrEasGui GREEN

    - #### BLUE

          public static final TrEasGui BLUE

    - #### ENUMERATION

          public static final TrEasGui ENUMERATION

    - #### START_AT

          public static final TrEasGui START_AT

    - #### BACK_TO

          public static final TrEasGui BACK_TO

    - #### LOW

          public static final TrEasGui LOW

    - #### MEDIUM

          public static final TrEasGui MEDIUM

    - #### HIGH

          public static final TrEasGui HIGH

    - #### CRITICAL

          public static final TrEasGui CRITICAL

    - #### QUERY

          public static final TrEasGui QUERY

    - #### UNKNOWN_DATA_TYPE

          public static final TrEasGui UNKNOWN_DATA_TYPE

    - #### ILLEGAL_ITEM

          public static final TrEasGui ILLEGAL_ITEM

    - #### OF

          public static final TrEasGui OF

    - #### FILTER

          public static final TrEasGui FILTER

    - #### EDIT

          public static final TrEasGui EDIT

    - #### TABLE_EDITOR

          public static final TrEasGui TABLE_EDITOR

    - #### CLIENT

          public static final TrEasGui CLIENT

    - #### LOGGING_TO

          public static final TrEasGui LOGGING_TO

    - #### FILE_LOGGING

          public static final TrEasGui FILE_LOGGING

    - #### WINDOW_LOGGING

          public static final TrEasGui WINDOW_LOGGING

    - #### NUMBER_OF_ROWS

          public static final TrEasGui NUMBER_OF_ROWS

    - #### TEST_DESCR

          public static final TrEasGui TEST_DESCR

    - #### LOG_LEVEL

          public static final TrEasGui LOG_LEVEL

    - #### CONSOLE

          public static final TrEasGui CONSOLE

    - #### TEST_DB_TABLE

          public static final TrEasGui TEST_DB_TABLE

    - #### TASK_LIST

          public static final TrEasGui TASK_LIST

    - #### TASKS

          public static final TrEasGui TASKS

    - #### SYSTEM_IS_BUSY

          public static final TrEasGui SYSTEM_IS_BUSY

    - #### MARK

          public static final TrEasGui MARK

    - #### TEST

          public static final TrEasGui TEST

    - #### DIALOGS

          public static final TrEasGui DIALOGS

    - #### CREATING_0

          public static final TrEasGui CREATING_0

    - #### EXTRACTING_0

          public static final TrEasGui EXTRACTING_0

    - #### CONTENT_WAS_MODIFIED

          public static final TrEasGui CONTENT_WAS_MODIFIED

    - #### CONTENT_WAS_NOT_MODIFIED

          public static final TrEasGui CONTENT_WAS_NOT_MODIFIED

    - #### HEADER_PANEL

          public static final TrEasGui HEADER_PANEL

    - #### TERMINATED_ON_INTERRUPT

          public static final TrEasGui TERMINATED_ON_INTERRUPT

    - #### SHOW_ASYNC_ACTIVITY

          public static final TrEasGui SHOW_ASYNC_ACTIVITY

    - #### READY_TO_RUN

          public static final TrEasGui READY_TO_RUN

    - #### TASK_RESULT_0

          public static final TrEasGui TASK_RESULT_0

    - #### NUMBER_OF_0

          public static final TrEasGui NUMBER_OF_0

    - #### TASK_SUCCEEDED

          public static final TrEasGui TASK_SUCCEEDED

    - #### STILL_0_TASKS_RUNNING

          public static final TrEasGui STILL_0_TASKS_RUNNING

    - #### ALL_TASKS_DONE

          public static final TrEasGui ALL_TASKS_DONE

    - #### ABORTED_ON_ERROR

          public static final TrEasGui ABORTED_ON_ERROR

    - #### ABORTED_ON_CANCEL

          public static final TrEasGui ABORTED_ON_CANCEL

    - #### CHECK_WORKING_DIR

          public static final TrEasGui CHECK_WORKING_DIR

    - #### CLEANUP_WORKING_DIR

          public static final TrEasGui CLEANUP_WORKING_DIR

    - #### CHOOSE_FILE

          public static final TrEasGui CHOOSE_FILE

    - #### CHOOSE_DIRECTORY

          public static final TrEasGui CHOOSE_DIRECTORY

    - #### ENTER_FILE_NAME

          public static final TrEasGui ENTER_FILE_NAME

    - #### CHOOSE_OUTPUT_FILE

          public static final TrEasGui CHOOSE_OUTPUT_FILE

    - #### CHOOSE_INPUT_FILE

          public static final TrEasGui CHOOSE_INPUT_FILE

    - #### MAKE_DECISION

          public static final TrEasGui MAKE_DECISION

    - #### LOOK_AND_FEEL

          public static final TrEasGui LOOK_AND_FEEL

    - #### MESSAGE_DIALOGS

          public static final TrEasGui MESSAGE_DIALOGS

    - #### WORKFLOWS

          public static final TrEasGui WORKFLOWS

    - #### ASYNC_TASKS

          public static final TrEasGui ASYNC_TASKS

    - #### OS_PROCESSES

          public static final TrEasGui OS_PROCESSES

    - #### STILL_ASYNC_ACTIVITY

          public static final TrEasGui STILL_ASYNC_ACTIVITY

    - #### SAMPLE_WORKFLOW

          public static final TrEasGui SAMPLE_WORKFLOW

    - #### APP_STORE_WORKFLOW

          public static final TrEasGui APP_STORE_WORKFLOW

    - #### RUNNING_ASYNC_TASKS

          public static final TrEasGui RUNNING_ASYNC_TASKS

    - #### RUNNING_WORKFLOWS

          public static final TrEasGui RUNNING_WORKFLOWS

    - #### WORKFLOW_MANAGER_HELP

          public static final TrEasGui WORKFLOW_MANAGER_HELP

    - #### TASK_MANAGER_HELP

          public static final TrEasGui TASK_MANAGER_HELP

    - #### OVERRIDE_IF_EXISTS

          public static final TrEasGui OVERRIDE_IF_EXISTS

    - #### OVERRIDE_EXISTING_FILES

          public static final TrEasGui OVERRIDE_EXISTING_FILES

    - #### CLIENT_MEMORY_USAGE

          public static final TrEasGui CLIENT_MEMORY_USAGE

    - #### READ_0_1

          public static final TrEasGui READ_0_1

    - #### WRITE_0_1

          public static final TrEasGui WRITE_0_1

    - #### EXECUTE_0

          public static final TrEasGui EXECUTE_0

    - #### CONFIRMATION_MESSAGE

          public static final TrEasGui CONFIRMATION_MESSAGE

    - #### CONFIRMATION_QUESTION

          public static final TrEasGui CONFIRMATION_QUESTION

    - #### CONTROLLER

          public static final TrEasGui CONTROLLER

    - #### ACTIONS

          public static final TrEasGui ACTIONS

    - #### CHECK_OPTIONS

          public static final TrEasGui CHECK_OPTIONS

    - #### CHOOSE_ONE_OPTION

          public static final TrEasGui CHOOSE_ONE_OPTION

    - #### CHOOSE_ARCHIVE_TYPE

          public static final TrEasGui CHOOSE_ARCHIVE_TYPE

    - #### JAVA_VM_MAX_HEAP_SIZE

          public static final TrEasGui JAVA_VM_MAX_HEAP_SIZE

    - #### JAVA_VM_INITIAL_HEAP_SIZE

          public static final TrEasGui JAVA_VM_INITIAL_HEAP_SIZE

    - #### MR

          public static final TrEasGui MR

    - #### MRS

          public static final TrEasGui MRS

    - #### DEFINE_LAUNCH_PARAMETERS

          public static final TrEasGui DEFINE_LAUNCH_PARAMETERS

    - #### APP_PREFS_TITLE

          public static final TrEasGui APP_PREFS_TITLE

    - #### APP_STORE_LAUNCH

          public static final TrEasGui APP_STORE_LAUNCH

    - #### START_APP

          public static final TrEasGui START_APP

    - #### APP_CACHE

          public static final TrEasGui APP_CACHE

    - #### LAUNCH_APPLICATION_0_V_1

          public static final TrEasGui LAUNCH_APPLICATION_0_V_1

    - #### ENSURE_INSTALLED_0_V_1

          public static final TrEasGui ENSURE_INSTALLED_0_V_1

    - #### SCANNING_FOR_JAVA_VERSIONS

          public static final TrEasGui SCANNING_FOR_JAVA_VERSIONS

    - #### FIELD_INPUT_PANEL

          public static final TrEasGui FIELD_INPUT_PANEL

    - #### TEST_UMLAUTE

          public static final TrEasGui TEST_UMLAUTE

    - #### EXTRACT_ARCHIVE

          public static final TrEasGui EXTRACT_ARCHIVE

    - #### LIST_ARCHIVE

          public static final TrEasGui LIST_ARCHIVE

    - #### ARCHIVE_EXTRACT_TAR

          public static final TrEasGui ARCHIVE_EXTRACT_TAR

    - #### ARCHIVE_EXTRACT_ZIP

          public static final TrEasGui ARCHIVE_EXTRACT_ZIP

    - #### ARCHIVE_LIST_TAR

          public static final TrEasGui ARCHIVE_LIST_TAR

    - #### ARCHIVE_LIST_ZIP

          public static final TrEasGui ARCHIVE_LIST_ZIP

    - #### NO_OPTIONS_AVAILABLE

          public static final TrEasGui NO_OPTIONS_AVAILABLE

  - ### Method Detail

    - #### values

          public static TrEasGui[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasGui c : TrEasGui.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasGui valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.